\name{pumaclust-package}
\alias{pumaclust-package}
\docType{package}
\title{
Propagate probe-level uncertainty in model-based clustering on gene expression data
}
\description{
This package is to cluster gene expression given the estimated gene 
expression levels and uncertainties of these measurements from probe-level analysis models.}
\details{
\tabular{ll}{
Package: \tab pumaclust\cr
Type: \tab Package\cr
Version: \tab 1.1.0\cr
Date: \tab 2006-8-3\cr
License: \tab GPL\cr
}
For the use the package please refer to the vignettes.
}
\author{
Xuejun Liu, Magnus Rattray

Maintainer: Xuejun Liu <liux@cs.man.ac.uk>
}
\references{
Liu,X., Milo,M., Lawrence,N.D. and Rattray,M. (2005) A tractable probabilistic model for 
Affymetrix probe-level analysis across multiple chips, Bioinformatics, 21(18):3637-3644.

Liu,X., Lin,K.K., Andersen,B., and Rattray,M. (2006) 
Propagating probe-level uncertainty in model-based gene expression clustering, 
technical report available upon request.
}
\keyword{ package }
\seealso{
 Related package \code{\link[mmgmos]{mmgmos}} 
}
\examples{
  data(Clust.exampleE)
  data(Clust.exampleStd)
  cl<-pumaclust(Clust.exampleE,Clust.exampleStd,clusters=7)
}
