/* PPLR definition  */

#define MAX_NUM_REPLICATE 100
#define MAX_NUM_COND 100
#define MAX_NUM_CHIP 500
#define MAX_NUM_PROBE 200
#define LEN_BUF 1024
#define LOWBOUND 0.00001
#define POSI_INF 1.0e20

typedef struct{
        /* input parameters */
	int genes;   /* number of genes/probe-set */
	int chips;         /* the number of chips */
	int clusters;      /* number of clusters */
	double *centers;    /* centers of clusters */ 
	double *clsig;      /* sig^2 of clusters */
	
	double *data_m;   /* mean expression level */
	double *data_var;  /* variance of expression level */
	
	int method;   /* 0-standardm, 1-augamented */
	double **pjPerData;
	double *pj;
	
	int *CIndex;    /* output */
	double *ClusterCenters;
	double *ClusterSig;
	double *LikeliPerGene;
	double *BIC;

	/* optimisation parameters */
	double eps;     /* optimisation stop criteria */
	double del0;

} clusterparam;


void initialparams();

/* model optimisation */
void workout();

void allocatemem();
void freemem();

void calMU(double **mujd, double *clsig, int nstart);
double mean(double *x, int len);
double var(double *x, int len);
double fmaxn(double *x, int n);


